| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GaudiTesting.BaseTest.SortGroupOfLines Class Reference
Inheritance diagram for GaudiTesting.BaseTest.SortGroupOfLines:
[legend]
Collaboration diagram for GaudiTesting.BaseTest.SortGroupOfLines:
[legend]

## Public Member Functions
def | __init__ (self, exp)
def | __processFile__ (self, lines)
Public Member Functions inherited from GaudiTesting.BaseTest.FilePreprocessor
def | __processLine__ (self, line)
def | __processFile__ (self, lines)
def | __call__ (self, input)
def | __add__ (self, rhs)

## Public Attributes
| exp

## Detailed Description

    Sort group of lines matching a regular expression

Definition at line 811 of file BaseTest.py.

## Constructor & Destructor Documentation

def GaudiTesting.BaseTest.SortGroupOfLines.__init__ | ( |  | self,
|  |  | exp
| ) |  |

Definition at line 816 of file BaseTest.py.

816 def __init__(self, exp):
817 self.exp = exp if hasattr(exp, 'match') else re.compile(exp)
818
GaudiTesting.BaseTest.SortGroupOfLines.__init__
def __init__(self, exp)
Definition: BaseTest.py:816
GaudiTesting.BaseTest.SortGroupOfLines.exp
exp
Definition: BaseTest.py:817

## Member Function Documentation

def GaudiTesting.BaseTest.SortGroupOfLines.__processFile__ | ( |  | self,
|  |  | lines
| ) |  |

Definition at line 819 of file BaseTest.py.

819 def __processFile__(self, lines):
820 match = self.exp.match
821 output = []
822 group = []
823 for l in lines:
824 if match(l):
825 group.append(l)
826 else:
827 if group:
828 group.sort()
829 output.extend(group)
830 group = []
831 output.append(l)
832 return output
833
834
835 # Preprocessors for GaudiExamples
GaudiTesting.BaseTest.SortGroupOfLines.__processFile__
def __processFile__(self, lines)
Definition: BaseTest.py:819

## Member Data Documentation

GaudiTesting.BaseTest.SortGroupOfLines.exp

Definition at line 817 of file BaseTest.py.

The documentation for this class was generated from the following file:

- GaudiPolicy/python/GaudiTesting/BaseTest.py